- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# tower_receive – Receive assets from Ansible Tower

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Receive assets from Ansible Tower. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

- ansible-tower-cli >= 3.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
all boolean | Choices: no ← yes | Export all assets
credential - | Default: [] | List of credential names to export
credential_type - | Default: [] | List of credential type names to export
inventory - | Default: [] | List of inventory names to export
inventory_script - | Default: [] | List of inventory script names to export
job_template - | Default: [] | List of job template names to export
notification_template - | Default: [] | List of notification template names to export
organization - | Default: [] | List of organization names to export
project - | Default: [] | List of project names to export
team - | Default: [] | List of team names to export
tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.
user - | Default: [] | List of user names to export
validate_certs boolean | Choices: no yes | Whether to allow insecure connections to Tower. If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates. aliases: tower_verify_ssl
workflow - | Default: [] | List of workflow names to export

## Notes

Note

- Specifying a name of “all” for any asset type will export all items of that asset type.

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.

- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - name: Export all tower assets
      tower_receive:
        all: True
        tower_config_file: "~/tower_cli.cfg"

    - name: Export all inventories
      tower_receive:
        inventory:
          - all

    - name: Export a job template named "My Template" and all Credentials
      tower_receive:
        job_template:
          - "My Template"
        credential:
          - all

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
assets dictionary | success | The exported assets Sample: [{}, {}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- John Westcott IV (@john-westcott-iv)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.